<?xml version="1.0" encoding="UTF-8"?>

<configuration>
    <jmxConfigurator />

    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
        <!-- encoders are assigned the type
             ch.qos.logback.classic.encoder.PatternLayoutEncoder by default -->
        <encoder>
            <pattern>%d{HH:mm:ss.SSS} [%thread] %-5level %logger{5} - %msg%n</pattern>
        </encoder>
    </appender>

    <logger name="org.apache.http" level="WARN"/>

    <!-- suppress all but warnings from kafka -->
    <logger name="org.apache.kafka" level="warn"/>
    <logger name="org.apache.zookeeper" level="warn"/>
    <logger name="org.apache.curator" level="warn"/>


    <logger name="io.openraven" level="debug"/>

    <root level="info">
        <appender-ref ref="STDOUT"/>
    </root>


</configuration>